package ms.itsecteam.warpdrink.data.models.rest;

import ms.itsecteam.warpdrink.data.models.local.User;

public class RestUser {


    private String uid;
    private double credit;
    private String card_id;

    public RestUser() {
        super();
    }

    public RestUser(String uid, double credit, String card_id) {
        super();
        this.uid = uid;
        this.credit = credit;
        this.card_id = card_id;
    }

    public String getUserid() {
        return uid;
    }

    public void setUserid(String uid) {
        this.uid = uid;
    }

    public String getCardId() {
        return card_id;
    }

    public void setCardId(String card_id) {
        this.card_id = card_id;
    }

    public double getCredit() {
        return credit;
    }

    public void setCredit(double credit) {
        this.credit = credit;
    }

    public String toString() {
        return this.uid;
    }

    public User toLocalUser() {
        User u = new User();
        u.setCardId(this.card_id);
        u.setUserid(this.uid);
        u.setCredit(this.credit);
        return u;
    }
    public static RestUser fromLocalUser(User user) {
        RestUser rest_user = new RestUser();
        rest_user.setCardId(user.getCardId());
        rest_user.setUserid(user.getUserid());
        rest_user.setCredit(user.getCredit());
        return rest_user;
    }
}
